Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file using tramp

From: Mani Kancherla <[email-masked]>
Date: Sat, 28 Aug 2021 14:26:41 -0700

Hi Michael,

I had tried multiple versions of tramp. I checked my elpa/ and saw I had
tried tramp 2.5.1 and 2.5.1.1 earlier. Now that I renamed my elpa/ folder
to elpa-bak/, emacs is using the built-in 2.4.5.27.2. I now tried
installing the latest tramp via emacs menu Options>Manage Emacs Packages>
and then selecting tramp 2.5.1.1 from there and clicking install. It gives
me an error, please see below. This is with "GNU Emacs 27.2 (build 1,
x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G95))
of 2021-03-27".
Install package ‘tramp-2.5.1.1’? y

Contacting host: elpa.gnu.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for tramp-autoloads.el...
Generating autoloads for tramp-adb.el...done
Generating autoloads for tramp-archive.el...done
Generating autoloads for tramp-cache.el...done
Generating autoloads for tramp-cmds.el...done
Generating autoloads for tramp-compat.el...done
Generating autoloads for tramp-crypt.el...done
Generating autoloads for tramp-ftp.el...done
Generating autoloads for tramp-fuse.el...done
Generating autoloads for tramp-gvfs.el...done
Generating autoloads for tramp-integration.el...done
Generating autoloads for tramp-pkg.el...done
Generating autoloads for tramp-rclone.el...done
Generating autoloads for tramp-sh.el...done
Generating autoloads for tramp-smb.el...done
Generating autoloads for tramp-sshfs.el...done
Generating autoloads for tramp-sudoedit.el...done
Generating autoloads for tramp-uu.el...done
Generating autoloads for tramp.el...done
Generating autoloads for trampver.el...done
  INFO     Scraping files for tramp-autoloads.el...done
Wrote /Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-autoloads.el [2
times]
Error in package--load-files-for-activation: (void-function
tramp-register-crypt-file-name-handler)
tramp-register-file-name-handlers: Symbol’s function definition is void:
tramp-register-crypt-file-name-handler

Mani

On Sat, Aug 28, 2021 at 1:13 AM Michael Albinus <[email-masked]>
wrote:

> Mani Kancherla <[email-masked]> writes:
>
> Hi Mani,
>
> > I just did one more quick test. I renamed .emacs.d/elpa where I only
> > have the newer version tramp to .emacs.d/elpa-bak. That seems to fix
> > the problem.
> > Mani
> >
> >     I verified that "emacs -Q" has no issues. I can reproduce the
> >     issue consistently without "-Q". Any information I can collect
> >     that will help debug the issue?
>
> Thanks for the feedback. I've tried to reproduce the problem with your
> test file and with both Emacs 28.0.50 and 27.2, and the recent Tramp
> 2.5.2-pre, with no success.
>
> Which Tramp version do you use? Check variable tramp-version.
>
> Has it been compiled for Emacs 27.2? You can check this in
> ~/.emacs.d/elpa/tramp-<version>/tramp.elc.
>
> Perhaps you deinstall the ELPA Tramp package, and reinstall it (2.5.1.1
> is the recent version, will be 2.5.1.2 next days). Does it behave
> better?
>
> >     Thanks,
> >     Mani
>
> Best regards, Michael.
>